- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

RAND_cleanup - erase the PRNG state

# SYNOPSIS

     #include <openssl/rand.h>

Deprecated since OpenSSL 1.1.0, can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     void RAND_cleanup(void)

# DESCRIPTION

Prior to OpenSSL 1.1.0, `RAND_cleanup()` released all resources used by the PRNG. As of version 1.1.0, it does nothing and should not be called, since no explicit initialisation or de-initialisation is necessary. See OPENSSL_init_crypto(3).

# RETURN VALUES

`RAND_cleanup()` returns no value.

# SEE ALSO

RAND(7)

# HISTORY

`RAND_cleanup()` was deprecated in OpenSSL 1.1.0; do not use it. See OPENSSL_init_crypto(3)

# COPYRIGHT

Copyright 2000-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.